# REST API

The Bancor Network REST API enables lightweight access to Bancor Network information, abstracting the complexity of querying the Ethereum network directly. The API can be used to get information about tokens, price performance, pool performance, and more. All API responses are in JSON format.&#x20;

{% hint style="info" %}
The API is still in an experimental phase and is subject to change.&#x20;
{% endhint %}

For a full API reference guide, see [API Reference](/guides/rest-api/api-reference.md).&#x20;

The API is blockchain agnostic and as such, all ids are defined using the generic Distributed Ledger Technology (DLT) terminology & amounts are normalized to floating-point numbers. See [DLT Identifier](/guides/rest-api/dlt-identifier.md) for more information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bancor.network/guides/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
